function FirmwareFile()
{
  //解鎖更新鍵
  var UnblockUpdateButton = function(that){FirmwareFile.prototype._UnblockUpdateButton_(that);};
  //傳輸檔案
  var FileTransmission = function(that, file){FirmwareFile.prototype._FileTransmission_(that, file);}; 
  //檢查檔案
  var CheckFirmwareFileName = function(that, FileName){FirmwareFile.prototype._CheckFirmwareFileName_(that, FileName);};
  //上傳檔案
  this.UploadFirmwareFile   = function(that, Event){FirmwareFile.prototype._UploadFirmwareFile_(that, Event);};
  //更新
  this.UpdateFirmwareFile = function(that){FirmwareFile.prototype._UpdateFirmwareFile_(that);};
  // 安裝步驟
  this.StartInstallStep = function(that, array){FirmwareFile.prototype._StartInstallStep_(that, array);};
  //恢復出廠預設
  this.RestoreFirmware = function(that){FirmwareFile.prototype._RestoreFirmware_(that);};
  // 倒數重開機
  this.RebootSecondLeft = function(that){FirmwareFile.prototype._RebootSecondLeft_(that);};
  //設定Textarea訊息
  var SetTextareaMessage = function(message){FirmwareFile.prototype._SetTextareaMessage_(message);};

  var Reboot = function(ssocket){FirmwareFile.prototype._Reboot_(ssocket);};

  var LockAllWebUI = function(ssocket){FirmwareFile.prototype._LockAllWebUI_(ssocket);};
  var UnLockAllWebUI = function(ssocket){FirmwareFile.prototype._UnLockAllWebUI_(ssocket);};
}